using IWS5.Core.DTO;

namespace IWS5.Importer.Abstractions.Services;

public interface IProcessService
{
    Task<Dictionary<string, List<ProcessDto>>> GetValidProcessesAsync();
    Task<ProcessDto?> GetProcessByNameAndVersionAsync(string processName, int? version = null);
}
